Eclipse GEF 3.3

## org.eclipse.gef.dnd
Class TemplateTransfer

    java.lang.Object
      ByteArrayTransfer
          org.eclipse.gef.dnd.SimpleObjectTransfer
              org.eclipse.gef.dnd.TemplateTransfer

public final class TemplateTransfer
extends SimpleObjectTransfer

Transfer object used to transfer the template of a palette tool. It is used for drag-and-drop from the palette as well as copy/paste from the palette.

Since:
  2.1
See Also:
  Serialized Form

Method Summary
`static TemplateTransfer` `getInstance()` Returns the singleton instance
`Object` `getTemplate()` Returns the template object.
`protected int[]` `getTypeIds()`
`protected String[]` `getTypeNames()`
`void` `setTemplate(Object template)` Sets the template Object.

Methods inherited from class org.eclipse.gef.dnd.SimpleObjectTransfer
`getObject, javaToNative, nativeToJava, setObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TemplateTransfer getInstance()

  Returns the singleton instance

  Returns:
    the singleton

### getTemplate

    public Object getTemplate()

  Returns the template object.

  Returns:
    the template

### getTypeIds

    protected int[] getTypeIds()

  See Also:
    `org.eclipse.swt.dnd.Transfer#getTypeIds()`

### getTypeNames

    protected String[] getTypeNames()

  See Also:
    `org.eclipse.swt.dnd.Transfer#getTypeNames()`

### setTemplate

    public void setTemplate(Object template)

  Sets the template Object.

  Parameters:
    `template` - the template

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.